
Infrastructure - Task #7172

Bug # 7171 (Closed): v2.0 documentation inconsistencies

modify updateSystemMetadata documentation

2015-06-09 21:08 - Rob Nahf

Status: Closed Start date: 2015-06-09

Priority: Normal Due date:  

Assignee: Rob Nahf % Done: 100%

Category: Architecture Design Estimated time: 0.00 hour

Target version: CCI-2.0.0   

Milestone: None Story Points:  

Product Version: *   

Description

change version in both CN & MN updateSystemMetadata to 2.0  (the method was not available in 1.2)

modify text of CN.updateSystemMetadata from:

"This method is typically used by Authoritative Member Nodes to ensure system metadata consistency on the Coordinating

Node."

to:

"Usage of this method SHOULD be restricted to CNs for updating the systemMetadata in the underlying storage component." 

modify text of MN.updateSystemMetadata from:

 "Provides a mechanism for updating system metadata for any objects held on the Member Node."

to:

 "Provides a mechanism for updating system metadata for any objects held on the Member Node where that Member Node is

the authoritative Member Node."

Related issues:

Related to Infrastructure - Task #7179: add API documentation for CN.updateSy... Closed 2015-06-12

History

#1 - 2015-06-12 18:28 - Rob Nahf

- Description updated

#2 - 2015-06-12 18:49 - Rob Nahf

- Related to Task #7179: add API documentation for CN.updateSystemMetadata added

#3 - 2015-06-12 21:36 - Rob Nahf

- Status changed from New to Closed

- Assignee set to Rob Nahf

- % Done changed from 0 to 100

- translation missing: en.field_remaining_hours set to 0.0

updated documentation.
